package com.ruoyi.ems.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 手动抄记录对象 adm_meter_reading_manual
 * 
 * @author ruoyi
 * @date 2024-08-28
 */
public class MeterReading extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 计量设备code */
    @Excel(name = "计量设备code")
    private String deviceCode;

    /** 服务区代码 */
    @Excel(name = "服务区代码")
    private String areaCode;

    /** 年份yyyy */
    @Excel(name = "年份yyyy")
    private String year;

    /** 计量月yyyyMM */
    @Excel(name = "计量月yyyyMM")
    private String meterMonth;

    /** 上次示数 */
    @Excel(name = "上次示数")
    private Long lastReading;

    /** 上次抄表日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上次抄表日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastTime;

    /** 抄表值 */
    @Excel(name = "抄表值")
    private Long meterReading;

    /** 本次抄表日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "本次抄表日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date meterTime;

    /** 增量 */
    @Excel(name = "增量")
    private Long increase;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDeviceCode(String deviceCode) 
    {
        this.deviceCode = deviceCode;
    }

    public String getDeviceCode() 
    {
        return deviceCode;
    }
    public void setAreaCode(String areaCode) 
    {
        this.areaCode = areaCode;
    }

    public String getAreaCode() 
    {
        return areaCode;
    }
    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }
    public void setMeterMonth(String meterMonth) 
    {
        this.meterMonth = meterMonth;
    }

    public String getMeterMonth() 
    {
        return meterMonth;
    }
    public void setLastReading(Long lastReading) 
    {
        this.lastReading = lastReading;
    }

    public Long getLastReading() 
    {
        return lastReading;
    }
    public void setLastTime(Date lastTime) 
    {
        this.lastTime = lastTime;
    }

    public Date getLastTime() 
    {
        return lastTime;
    }
    public void setMeterReading(Long meterReading) 
    {
        this.meterReading = meterReading;
    }

    public Long getMeterReading() 
    {
        return meterReading;
    }
    public void setMeterTime(Date meterTime) 
    {
        this.meterTime = meterTime;
    }

    public Date getMeterTime() 
    {
        return meterTime;
    }
    public void setIncrease(Long increase) 
    {
        this.increase = increase;
    }

    public Long getIncrease() 
    {
        return increase;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deviceCode", getDeviceCode())
            .append("areaCode", getAreaCode())
            .append("year", getYear())
            .append("meterMonth", getMeterMonth())
            .append("lastReading", getLastReading())
            .append("lastTime", getLastTime())
            .append("meterReading", getMeterReading())
            .append("meterTime", getMeterTime())
            .append("increase", getIncrease())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
